### GET /apps/{app_id}/installations/{id}/trial Source: https://api-docs.talkdeskapp.com/public-api Get the installation trial information ```markdown ### Parameters - **app_id** (string, path, required): The app id provided in the app registration step - **id** (string, path, required): The installation id for a specific account ### Responses #### 200 - Information related to an installation trial state - **state** (string): Trial current state - **started_at** (string (date-time)): Start date of installation trial - **expires_at** (string (date-time)): Expiration date of installation trial - **ended_at** (string (date-time)): Ended date of installation trial - **ended_reason** (string): Reason for the ending of trial - **subscription_name** (string): Name of the subscription type - **_links** (object) - **self** (object) - **href** (string) - **installation** (object) #### 400 - Bad request - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 401 - Unauthorized - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 403 - Forbidden - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 404 - Installation not found - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/apps/{app_id}/installations/{id}/trial" ``` ``` -------------------------------- ### GET /apps/{app_id}/installations/{id} Source: https://api-docs.talkdeskapp.com/public-api Get information about installation ```markdown ### Parameters - **app_id** (string, path, required): The app id provided in the app registration step - **id** (string, path, required): The installation id for a specific account ### Responses #### 200 - The successful installation information - **id** (string): The installation id - **app_id** (string): The application id for the given installation - **account_id** (string): The account id for which the app is installed - **scopes** (array (string)): List of scopes that the admin configuring the app has given access to - **auto_provision_filters** (array (object)): List of filters used for auto-provisioning Array items: - **filter** (string): The property to which the filter should be applied to (all, role, role_id, none) - **match** (string): The value used by the filter to find matches - **created_at** (string (date-time)): Date of installation - **_embedded** (object) - **created_by** (object) - **id** (string): the Id of the user - **email** (string): the e-mail of the user - **name** (string): the name of the user - **active** (boolean): the activation state of the user - **gender** (string): the gender of the user - **extension** (integer): the phone extension for the user - **external_phone_number** (string): the external phone number for the user - **created_at** (string (date-time)): the date for the creation of the user - **_links** (object): the defined links - **self** (object): the URI of the details of the user - **href** (string) - **state** (object) - **state** (string (approve|reject)): the current state of the installation ("approve"|"reject") - **reason** (string): a reason associated with the state change - **updated_at** (string (date-time)): date of latest change to the installation - **_links** (object) - **_links** (object) - **self** (object) - **account** (object) - **subscription** (object) - **auto_provision_filters** (object) - **users** (object) - **channels** (object) #### 401 - Unauthorized - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 403 - Forbidden - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 404 - App / Installation not found - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/apps/{app_id}/installations/{id}" ``` ``` -------------------------------- ### GET /apps/{app_id}/installations/{id}/channels Source: https://api-docs.talkdeskapp.com/public-api list channels for the installation ```markdown ### Parameters - **app_id** (string, path, required): The app id provided in the app registration step - **id** (string, path, required): The installation id for a specific account ### Responses #### 200 - List of channels provisioned for the app installation - **total** (integer) - **page** (integer) - **per_page** (integer) - **_embedded** (object) - **users** (array (object)) Array items: - **type** (string (messages)): the type of channel ("messages") - **updated_at** (string (date-time)): date of latest change to this channel - **_embedded** (object) - **resource** (array (object)) Array items: - **id** (string): the id of the target resource - **type** (string (number)): the target resource type (e.g. number) ("number") - **_links** (object) - **self** (object) - **href** (string) - **_links** (object) - **_links** (object) #### 401 - Unauthorized Unauthorized #### 403 - Forbidden - **error** (string): The error message #### 404 - App or Installation Not Found - **error** (string): The error message ### Example Usage ```bash curl -X GET "https://api.example.com/apps/{app_id}/installations/{id}/channels" ``` ``` -------------------------------- ### GET /apps/{app_id}/installations/{id}/subscription Source: https://api-docs.talkdeskapp.com/public-api get the current subscription of the installation ```markdown ### Parameters - **app_id** (string, path, required): The app id provided in the app registration step - **id** (string, path, required): The installation id for a specific account ### Responses #### 200 - Current account subscription for the app - **type** (string): The type of the subscription - **license_type** (string (individual|universal)) ("individual"|"universal") - **name** (string): The name of the subscription - **price** (integer): The price per seat - **description** (string) - **listing_summary** (string) - **min_licenses** (integer): The minimum number of licenses - **max_licenses** (integer): The maximum number of licenses - **created_by** (string) - **id** (string): The ID of the subscription - **total_licenses** (integer): Number of licenses purchased for the installation - **_links** (object) - **self** (object) - **href** (string) #### 401 - Unauthorized Unauthorized #### 403 - Forbidden - **error** (string): The error message #### 404 - App or Installation Not Found - **error** (string): The error message ### Example Usage ```bash curl -X GET "https://api.example.com/apps/{app_id}/installations/{id}/subscription" ``` ``` -------------------------------- ### GET /apps/{app_id}/installations/{id}/users Source: https://api-docs.talkdeskapp.com/public-api Gets the users enabled for a given installation ```markdown ### Parameters - **app_id** (string, path, required): The app id provided in the app registration step - **id** (string, path, required): The installation id for a specific account ### Responses #### 200 - A paginated list of users of the account enabled for the app - **total** (integer) - **page** (integer) - **per_page** (integer) - **_embedded** (object) - **users** (array (object)) Array items: - **id** (string): the Id of the user - **email** (string): the e-mail of the user - **name** (string): the name of the user - **active** (boolean): the activation state of the user - **gender** (string): the gender of the user - **extension** (integer): the phone extension for the user - **external_phone_number** (string): the external phone number for the user - **created_at** (string (date-time)): the date for the creation of the user - **_links** (object): the defined links - **self** (object): the URI of the details of the user - **href** (string) - **_links** (object) - **self** (object) - **next** (object) #### 401 - Unauthorized Unauthorized #### 403 - Forbidden - **error** (string): The error message #### 404 - App or Installation Not Found - **error** (string): The error message ### Example Usage ```bash curl -X GET "https://api.example.com/apps/{app_id}/installations/{id}/users" ``` ``` -------------------------------- ### GET /provisioning/account/licenses Source: https://api-docs.talkdeskapp.com/public-api Get the account licenses ```markdown ### Parameters - **page** (integer, query, optional): Desired page. Defaults to 1. - **per_page** (integer, query, optional): Limit the number of licenses per page. Defaults to 50. - **revision_status** (string (active|last|upcoming|all), query, optional): It allows filtering licenses based on the current revision status. Options: * `active` - Matches the revision licenses that are currently active. Current *datetime* is between *start_date* and *end_date* of a license. * `last` - Matches the licenses that have the higher revision. * `upcoming` - Matches revision licenses that will become active. Current *datetime* is before *start_date* of a licenses. * `all` - Matches all licenses - **expand** (boolean, query, optional): Enriches the response with additional product information - **deleted** (boolean, query, optional): Allows to include deleted license revisions. Not compatible with `active` value of **revision_status** query parameter ### Responses #### 200 - Return a licenses list - **page** (integer) (required): The current page - **per_page** (integer) (required): The number of elements of licenses per Page - **count** (integer) (required): The number of licenses present in the current Page - **total** (integer) (required): The total number of licenses - **_links** (object) (required) - **self** (object) (required): The link to the current page - **href** (string) (required): The hypertext reference describing this link - **first** (object): The link to the first page - **prev** (object): The link to the previous page - **next** (object): The link to the next page - **last** (object): The link to the last page - **_embedded** (object) (required) - **licenses** (array (union)) (required): the results displayed in an array Array items: - **id** (string) (required): Unique identifier for the license revision. Automatically generated. - **license_id** (string) (required): Uniquely identifies the acquisition of a specific product by a customer within an account. - **account_id** (string) (required): Talkdesk account identifier (Talkdesk ID). - **product_id** (string) (required): Unique identifier of a product and the set of technical artifacts associated with it. - **pricing** (object) (required): The acquisition price for the specific product for this specific license revision. Could include amount and currency. (not used at the moment) - **quantity** (integer) (required): Number of licenses acquired (also referred as seats in named model, and installations for apps). - **start_date** (string (date-time)) (required): The date in which the account will be entitled to use this product. - **end_date** (string (date-time)) (required): The date in which the account will cease to be entitled to use this license. - **revision_start_date** (string (date-time)) (required): The moment in time this licenses revision becomes effective. From this date forward this license revision and all the properties it defines are effective. Each time a change is made for a specific license it creates a revision. This field is the date on which changes will be effective. Allows to perform changes in the future. - **revision** (integer) (required): Revision is an incremental number that represents a version of the same license (same license_id). For every change made in this object the revision will be automatically incremented. - **attributes** (object) (required): Metadata or extra properties that we want to assign to a specific License Revision. - **created_at** (string (date-time)) (required) - **_embedded** (object) - **seats_in_use** (integer) (required): Total seats being used in a license - **product** (object): Product info - **id** (string) (required): The unique identifier of a product on the Product Catalog Mapper. - **name** (string) (required): The name of the product. - **family** (string (License|Add-On|Partner|Standalone)) (required): The family this product belongs to. ("License"|"Add-On"|"Partner"|"Standalone") - **model** (string (Named)): The license model associated with the product. ("Named") - **manageable** (boolean) (required): Indicates if the seat manager is enabled for this product. - **apps** (array (object)): A dictionary array that represents an app installation is triggered whenever a license is provisioned for this product. Array items: - **app_id** (string) (required): The app identifier in app-connect (marketplace) - **subscription_id** (string) (required): The subscription plan identifier to be used for the installation of the app - **connectors** (array (object)): An array of objects that contains all the connectors associated with this product. Array items: - **type** (string): Connector associated with a product. #### 400 - Bad request - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 401 - Unauthorized - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 403 - Forbidden - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/provisioning/account/licenses?page=1&per_page=50&revision_status=all&expand=false&deleted=false" ``` ``` -------------------------------- ### POST /apps/{app_id}/installations/{id}/state Source: https://api-docs.talkdeskapp.com/public-api set the state of the installation ```markdown ### Parameters - **app_id** (string, path, required): The app id provided in the app registration step - **id** (string, path, required): The installation id for a specific account ### Request Body **Content-Type:** application/json ### Responses #### 200 - State of the app successfully changed - **state** (string (approve|reject)): the current state of the installation ("approve"|"reject") - **reason** (string): a reason associated with the state change - **updated_at** (string (date-time)): date of latest change to the installation - **_links** (object) - **self** (object) - **href** (string) #### 401 - Unauthorized Unauthorized #### 403 - Forbidden - **error** (string): The error message #### 404 - App or Installation Not Found - **error** (string): The error message ### Example Usage ```bash curl -X POST "https://api.example.com/apps/{app_id}/installations/{id}/state" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### POST /apps/{app_id}/installations/{id}/channels Source: https://api-docs.talkdeskapp.com/public-api activate channels for the installation ```markdown ### Parameters - **app_id** (string, path, required): The app id provided in the app registration step - **id** (string, path, required): The installation id for a specific account ### Request Body **Content-Type:** application/json ### Responses #### 201 - Channel provisioned for the app installation - **total** (integer) - **page** (integer) - **per_page** (integer) - **_embedded** (object) - **users** (array (object)) Array items: - **type** (string (messages)): the type of channel ("messages") - **updated_at** (string (date-time)): date of latest change to this channel - **_embedded** (object) - **resource** (array (object)) Array items: - **id** (string): the id of the target resource - **type** (string (number)): the target resource type (e.g. number) ("number") - **_links** (object) - **self** (object) - **href** (string) - **_links** (object) - **_links** (object) #### 400 - Bad Request - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 401 - Unauthorized - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 403 - Forbidden - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 404 - App or Installation Not Found - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 409 - Resource already in use - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/apps/{app_id}/installations/{id}/channels" \ -H "Content-Type: application/json" \ -d '"value"' ``` ``` -------------------------------- ### POST /apps/{app_id}/installations/{id}/credentials/{client_id}/state Source: https://api-docs.talkdeskapp.com/public-api creates a transition to 'acknowledged' of the installation's credentials resource ```markdown ### Parameters - **app_id** (string, path, required): The app id provided in the app registration step - **id** (string, path, required): The installation id for a specific account - **client_id** (string, path, required): The installation client id that is being acknowledged ### Request Body **Content-Type:** application/json - **state** (object): the current state of the installation credentials ### Responses #### 202 - Requested state accepted - **state** (object): the current state of the installation credentials - **_links** (object) - **self** (object) - **href** (string) #### 401 - Unauthorized - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 403 - Forbidden - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 404 - App / Installation not found - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 409 - Requested state conflicts with current state of the target resource - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/apps/{app_id}/installations/{id}/credentials/{client_id}/state" \ -H "Content-Type: application/json" \ -d '{ "state": "value" }' ``` ``` -------------------------------- ### GET /conversations/interactions Source: https://api-docs.talkdeskapp.com/public-api Retrieves all interactions that started within a specified time range (up to a 7-day interval), filtered by the account ID contained in the JWT token. The result includes the interaction metadata and associated messages. Results are paginated using a cursor-based mechanism. The interaction_ended parameter refers to the end of the interaction start time range, not when the interaction itself ended. This endpoint only returns interactions that started between the interaction_started and interaction_ended timestamps. ```markdown ### Parameters - **interaction_started** (string (date-time), query, optional): The start of the time range. Only interactions that started after or at this timestamp will be included. (example: "2023-06-16T00:00:02Z") - **interaction_ended** (string (date-time), query, optional): The end of the time range. This refers to the end of the start time range — not when the interaction ended. Only interactions that started before or at this timestamp will be included. (example: "2023-06-16T00:00:02Z") - **cursor** (string, query, optional): The cursor to use for pagination. ### Responses #### 200 - Successfully retrieved the interactions. - **_embedded** (object) (required): Embedded object of a paginated response. - **interactions** (array (object)) (required) Array items: - **id** (string): The ID of the interaction. (example: "597a2201-9d7e-470e-a699-abc5ec114973") - **customer_id** (string) (required): The ID of the customer. (example: "e7a89c2e-4257-4e38-81f1-854dd94d6574") - **started_at** (string (date-time)) (required): The datetime when the interaction started. (example: "2020-03-10T00:00:00.000000Z") - **ended_at** (string (date-time)) (required): The datetime when the interaction ended. (example: "2020-03-10T00:04:00.000000Z") - **direction** (string) (required) - **ring_groups** (array (string)) (required): The ring groups of the user (agent). - **queues** (array (string)): The queues of the user (agent). - **messages** (array (object)) (required) Array items: - **message_id** (string) (required): The original utterance ID. - **text** (string) (required): The text of the transcription message. - **channel** (string) (required): The channel that generated the message. - **participant** (string) (required) - **sentiment** (string) (required) - **intent** (string): The intent associated to the message. - **intent_confidence_score** (number (float)): The confidence score of the intent. - **intent_is_fallback** (boolean): Determines if it is a fallback intent. - **start_time** (number (float)) (required): The time position in seconds where the message appears in audio. - **end_time** (number (float)) (required): the time position in seconds where the message stops in the audio. - **transcription_type** (string) - **source_system** (string) (required): System in which the message was generated in. (example: "STT") - **recording_id** (string): Id that identifies the recording to which the message belongs. Only applicable to STT source_system. - **recording_index** (number (integer)): Index that identifies the recording to which the message belongs. Only applicable to STT source_system. - **message_index** (number (integer)): Index that identifies the message order within a interaction/recording. - **message_start_at** (string (date-time)): The datetime when the message started. (example: "2020-03-10T00:00:00.000000Z") - **agent_id** (string): The ID of the agent. (example: "2cfc7d5a-7e89-403d-b257-891247b88829") - **agents** (array (object)) (required) Array items: - **id** (string) (required): The ID of the agent. (example: "2cfc7d5a-7e89-403d-b257-891247b88829") - **_links** (object) (required): The page links. - **next** (object): The link to the next page - **href** (string) (required): The hypertext reference describing this link. (example: "https://conversations.talkdesk.com/interactions?cursor=Zc2pJPVrJFeH0fGPjDanmw==") #### 400 - Bad Request. - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 401 - Unauthorized access, invalid or unverifiable JWT. - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 403 - Forbidden access. - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 500 - Unexpected error. - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/conversations/interactions?interaction_started=2023-06-16T00:00:02Z&interaction_ended=2023-06-16T00:00:02Z&cursor=string" ``` ``` -------------------------------- ### GET /billing/account/subscription/licenses/{id} Source: https://api-docs.talkdeskapp.com/public-api Retrieves detailed information about a specific subscription license, including rate plan details, pricing, currency, and contract start and end dates. ```markdown ### Parameters - **id** (string, path, required): The unique identifier for an account subscription license. (example: "2c92c0f94d65a21d014d6ca280895ca8") ### Responses #### 200 - Detailed information about a specific subscription license, including rate plan details, pricing, and contract dates. - **id** (string): The unique identifier for an account subscription license. - **product_rate_plan_id** (string): The unique identifier of the product rate plan in the billing system. - **product_rate_plan_name** (string): The name of the product rate plan (e.g., 'Annual Licenses - Enterprise'). - **friendly_name** (string): A human-readable display name for the license. - **product_family** (string (ADD_ON|LICENSE|THIRD_PARTY_APP_CONNECT)): The product family category for this license. ("ADD_ON"|"LICENSE"|"THIRD_PARTY_APP_CONNECT") - **product_rate_plan_description** (string): A detailed description of the product rate plan. - **billing_period** (string (MONTH|QUARTER|SEMI_ANNUAL|ANNUAL|TWO_YEAR|THREE_YEAR|FIVE_YEAR)): The billing cycle frequency for this license. ("MONTH"|"QUARTER"|"SEMI_ANNUAL"|"ANNUAL"|"TWO_YEAR"|"THREE_YEAR"|"FIVE_YEAR") - **quantity** (integer): The total number of seats purchased for this license. - **price** (integer): The price per billing period for this license, in the smallest currency unit (e.g., cents). - **currency** (string): The currency used to charge the account, following the ISO 4217 standard. - **self_service** (boolean): Defines if the customer can make a self-service purchase of this license. - **start_at** (string (date-time)): The start date of the license contract in ISO 8601 format. - **finish_at** (string (date-time)): The end date of the license contract in ISO 8601 format. - **next_billing_date** (string (date-time)): The next billing date for this license in ISO 8601 format. - **_links** (object): The related links. - **self** (object): The URI of the license details. - **href** (string): The URI value. #### 401 - Unauthorized - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 403 - Forbidden - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 404 - Not found - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 500 - Internal server error - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/billing/account/subscription/licenses/{id}" ``` ``` -------------------------------- ### POST /apps/{app_id}/installations/{id}/credentials/actions/rotate Source: https://api-docs.talkdeskapp.com/public-api rotates the installation's credentials ```markdown ### Parameters - **app_id** (string, path, required): The app id provided in the app registration step - **id** (string, path, required): The installation id for a specific account ### Responses #### 201 - Requested credentials accepted Empty response body #### 401 - Unauthorized - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 403 - Forbidden - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 404 - App / Installation not found - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) ### Example Usage ```bash curl -X POST "https://api.example.com/apps/{app_id}/installations/{id}/credentials/actions/rotate" ``` ``` -------------------------------- ### GET /account/bucket-configurations Source: https://api-docs.talkdeskapp.com/public-api Get all bucket configurations. ```markdown ### Parameters - **page** (integer, query, optional): Desired page. Defaults to 1. - **per_page** (integer, query, optional): Limit the number of bucket configurations per page. Defaults to 5. - **status** (string (ACTIVE|ALL), query, optional): It allows filtering configurations based on the current status. Options: * ACTIVE - Matches configurations that are currently active. It has effective_start < now > effective_end and it is the last configuration of a specific charge_number; * ALL - Matches all configurations. ### Responses #### 200 - Get the bucket configurations details - **page** (integer) (required): The current page - **per_page** (integer) (required): The number of elements of bucket configurations per page - **count** (integer) (required): The number of bucket configurations present on the current page - **total** (integer) (required): The total number of bucket configurations - **_links** (object) (required) - **self** (object) (required): The link to the current page - **href** (string) (required): The hypertext reference describing this link - **first** (object): The link to the first page - **prev** (object): The link to the previous page - **next** (object): The link to the next page - **last** (object): The link to the last page - **_embedded** (object) (required) - **bucket_configurations** (array (object)) (required): the results displayed in an array Array items: - **id** (string) (required): Bucket Configuration unique ID - **account_id** (string): Talkdesk Account ID - **charge_number** (string) (required): Charge number - **plafond** (number (float)) (required): Plafond quantity - **plafond_multiplier** (number (float)) (required): Plafond multiplication factor - **effective_start** (string (date-time)) (required): Bucket configuration effective start date - **effective_end** (string (date-time)) (required): Bucket configuration effective end date - **resource** (string) (required): Resource of bucket configuration - **unit_of_measure** (string (UNITS|MINUTES|SECONDS|GB|MB|TRANSCRIPTIONS|SEGMENTS|REQUESTS|NUMBERS|PAGES|SESSIONS|CHARS)) (required): Bucket configuration unit of measure ("UNITS"|"MINUTES"|"SECONDS"|"GB"|"MB"|"TRANSCRIPTIONS"|"SEGMENTS"|"REQUESTS"|"NUMBERS"|"PAGES"|"SESSIONS"|"CHARS") - **properties** (object) (required): Interaction properties - **status** (string (ACTIVE|TERMINATED|UPCOMING)) (required): Bucket configuration status ("ACTIVE"|"TERMINATED"|"UPCOMING") - **type** (string (FREE_UNITS|TIER)) (required): Type of the bucket ("FREE_UNITS"|"TIER") - **tier** (string): Tier of the bucket. Only present if bucket is of type TIER. - **created_at** (string (date-time)) (required): Bucket configuration date of creation #### 400 - Bad Request - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 401 - Unauthorized - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 403 - Forbidden - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/account/bucket-configurations?page=1&per_page=5&status=ACTIVE" ``` ``` -------------------------------- ### GET /attributes-categories Source: https://api-docs.talkdeskapp.com/public-api Returns a paginated list of attribute categories in the account. Use this endpoint to retrieve available categories for filtering or display, for example when rendering a category selector in an attribute management interface. Results can be sorted by name in ascending or descending order. ```markdown ### Parameters - **sort** (string (name|-name), query, optional): Sort by field. Allowed: 'name'. Default value is ascending. Use - for descending order. - **page** (integer, query, optional): Desired page. Defaults to 1. - **per_page** (integer, query, optional): Limit the number of attributes per page. Defaults to 50. ### Responses #### 200 - Attributes Categories list - **total** (integer) - **count** (integer) - **page** (integer) - **per_page** (integer) - **_embedded** (object) (required): The list of categories - **categories** (array (object)) (required) Array items: - **id** (string) (required): The id of the attributes category - **name** (string) (required): The name of the attributes category - **attribute_count** (integer) (required): The number of attributes associated with this category - **_links** (object) (required): HAL API related links. - **self** (object) (required): Link to fetch the detail of the Attributes Category - **href** (string): Address of the resource - **categories** (object) (required): Link to fetch the list of all attributes categories - **_links** (object) (required): HAL API related links. - **self** (object): Link to fetch a list of all the categories - **page** (object) - **templated** (boolean) - **href** (string) - **next** (object) #### 400 - Invalid parameter values submitted. - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 401 - Missing or invalid 'Authorization' header. - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) #### 403 - Insufficient permissions. - **code** (string) (required) - **message** (string) (required) - **description** (string) - **fields** (array (object)) Array items: - **name** (string) (required) - **description** (string) (required) ### Example Usage ```bash curl -X GET "https://api.example.com/attributes-categories?sort=name&page=1&per_page=50" ``` ```